%define name		streamripper
%define version		1.64.6
%define release 	3%{?dist}


Summary:	MP3 streams recorder
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://sourceforge.net/projects/streamripper
License:	GPLv2
Group: 		Applications/Internet
Source:		%{name}-%{version}.tar.gz
Requires:       tre, faad2
BuildRequires:  libmad-devel, tre-devel
Obsoletes:      streamripper-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
streamripper records shoutcast compatible and live365 streams.
For shoutcast style streams it finds the "meta data" or track
separation data, and uses that as a marker for where the track
should be separated. For live365 streams it hits the website 
and finds when a track has changed. Either way, the MP3 data 
will be decoded and scanned for a silent point which is where 
tracks will be created

%prep
%{__rm} -rf %{buildroot}

%setup -q

%build
%configure CFLAGS="$RPM_OPT_FLAGS"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%_bindir
make install DESTDIR=%{buildroot}

%files
%defattr(-, root, root)
%doc CHANGES COPYING README THANKS
%_bindir/*
%{_mandir}/man1/*

%clean
%{__rm} -rf %{buildroot}


%changelog
* Sat Jun 13 2009 Matthias Haase <matthias_haase@bennewitz.com> - 1.64.6-3                                                                                            
- Rebuild for Fedora 12                                                                                             
                      
* Sat Jun 13 2009 Matthias Haase <matthias_haase@bennewitz.com> - 1.64.6-2
- Update to 1.64.6

* Fri Nov 28 2008 Matthias Haase <matthias_haase@bennewitz.com> - 1.63.5-5
- Rebuild for Fedora 10

* Wed Aug  6 2008 Matthias Haase <matthias_haase@bennewitz.com> - 1.63.1-4
- faad2 added to dependencies, tre-devel added to BuildRequires

* Wed Aug  6 2008 Matthias Haase <matthias_haase@bennewitz.com> - 1.63.1-3
- devel package removed
- rebuild without included tre - tre added to dependencies 

* Mon May 19 2008 Matthias Haase <matthias_haase@bennewitz.com> - 1.63.1-2
- Update to 1.63.1
- Rebuild for Fedora 9
- split into base and devel package
- redefined license tag
- libmad-devel added to BuildRequires
- compiled against libmad-devel - libmad included uses incompatible CFLAGS

* Tue Nov 13 2007 Matthias Haase <matthias_haase@bennewitz.com> - 1.61.27-4
- Rebuild for Fedora 8
- libmad removed from Requires / BuildRequires

* Sat Jun  2 2007 Matthias Haase <matthias_haase@bennewitz.com> - 1.61.27-3
- Rebuild 1.61.27-3 for Fedora 7 with included libmad

* Mon Nov 13 2006 Matthias Haase <matthias_haase@bennewitz.com> - 1.61.27-2
- Update to 1.61.27

* Sat Oct 28 2006 Matthias Haase <matthias_haase@bennewitz.com> - 1.61.24-4
- Rebuild for Fedora Core 6

* Fri Jul  7 2006 Matthias Haase <matthias_haase@bennewitz.com> - 1.61.24-3
- Update to 1.61.24 

* Thu May 18 2006 Matthias Haase <matthias_haase@bennewitz.com> - 1.61.19-3
- Update to 1.61.19

* Fri Mar 24 2006 Matthias Haase <matthias_haase@bennewitz.com> - 1.61.18-3
- Increased release, rebuild for Fedora Core 5 

* Sun Mar 12 2006 Matthias Haase <matthias_haase@bennewitz.com> - 1.61.18-2
- Update to 1.61.18 

* Thu Feb 23 2006 Matthias Haase <matthias_haase@bennewitz.com> - 1.61.3-3
- %{?dist} added, some cosmetic changes

* Thu Jun 16 2005 Matthias Haase <matthias_haase@bennewitz.com> - 1.61.3-2
- Rebuild for Fedora Core 4 

* Tue Jan 04 2005 Matthias Haase <matthias_haase@bennewitz.com.com> 1.61.1-3
- Update to 1.61.3

* Tue Nov 23 2004 Matthias Haase <matthias_haase@bennewitz.com.com> 1.61.1-1
- Update to 1.61.1
- libmad added to deps
- mandir added

* Wed Nov 04 2004 Matthias Haase <matthias_haase@bennewitz.com.com> 1.32-1
- Rebuild for Fedora Core 3

* Thu Jun 03 2004 Matthias Haase <matthias_haase@bennewitz.com.com> 1.32-1
- Rebuild for Fedora Core 2

* Sun Nov 09 2003 Matthias Haase <matthias_haase@bennewitz.com.com> 1.32-1
- Rebuild for Fedora Core 1

* Sat Apr 05 2003 Matthias Haase <matthias_haase@bennewitz.com.com> 1.32-1
- Rebuild for RH9

* Mon Feb 03 2003 Matthias Haase <matthias_haase@bennewitz.com.com> 1.32-1
- Initial build with some required changes for RH8
- smp flags and RPM_OPT_FLAGS added

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.32-2mdk
- rebuild

* Wed May 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.32-1mdk
- 1.32

* Wed Aug 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.5-1mdk
- added by Jerome Limozin <jerome@limozin.net> :k
- Initial rpm
